# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit eutils

DESCRIPTION="dynamic update for the motd file"
HOMEPAGE="http://bazaar.launchpad.net/~kirkland/update-motd/main"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 arm ~x86"
IUSE=""
RESTRICT="mirror"

S="${WORKDIR}/${PN}_${PV}.orig"

SRC_URI_BASE="mirror://ubuntu/pool/main/${PN:0:1}/${PN}/"
SRC_URI="${SRC_URI_BASE}${PN}_${PV}.orig.tar.gz"

DEPEND=""
RDEPEND="sys-apps/debianutils"
PDEPEND="app-admin/motd-base"

src_prepare() {
	sed -e '1,2d' -i update-motd.sh
}

src_install() {
	dobin update-motd
	insinto /etc/profile.d
	doins update-motd.sh

	doman update-motd.1

	dodoc README THANKS

	keepdir /etc/update-motd.d
}
