#!/bin/sh
if [ -z "$1" ]; then
	echo armv5tel-do-kernel-create.sh KVERSION
	exit
fi

VER=$1
BASEDIR=$(dirname $0)

source $BASEDIR/armv5tel-kernels

for package in ${PACKAGES}; do
	if [ ! -e $BASEDIR/${package} ]; then
	mkdir -p $BASEDIR/${package}
	fi
	name=$(echo ${package} | cut -d/ -f2)
	cp $BASEDIR/Documentation/ebuild/metadata.xml $BASEDIR/${package}
	if [ ${name/-*/} = "linux" ]; then
		newname=$(echo ${name} | cut -d- -f2)
		cp $BASEDIR/Documentation/ebuild/linux-flavour.ebuild $BASEDIR/${package}/${name}-${VER}.ebuild
		sed -e "s!@nasname@!${newname}!g" -i $BASEDIR/${package}/${name}-${VER}.ebuild
	else
		newname=${name/-*/}
		cp $BASEDIR/Documentation/ebuild/flavour-sources.ebuild $BASEDIR/${package}/${name}-${VER}.ebuild
		sed -e "s!@nasname@!${newname}!g" -i $BASEDIR/${package}/${name}-${VER}.ebuild
	fi
	git add --ignore-removal $BASEDIR/${package}
	git add --ignore-removal $BASEDIR/${package}/*
done
