# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-embedded/u-boot-tools/u-boot-tools-2011.12.ebuild,v 1.4 2012/08/08 15:09:18 nativemad Exp $

EAPI="4"

inherit eutils toolchain-funcs

MY_P="u-boot-${PV/_/-}"
DEB_PV="2014.10+dfsg1-5"
DESCRIPTION="utilities for working with Das U-Boot"
HOMEPAGE="http://www.denx.de/wiki/U-Boot/WebHome"
SRC_URI="ftp://ftp.denx.de/pub/u-boot/${MY_P}.tar.bz2
	mirror://debian/pool/main/u/u-boot/u-boot_${DEB_PV}.debian.tar.xz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 arm ~x86"
IUSE=""

S=${WORKDIR}/${MY_P}

src_prepare() {
	sed -i "s:-g ::" tools/Makefile || die
	# Make sure we find local u-boot headers first #429302
	ln -s ../include/image.h tools/ || die
	epatch "${FILESDIR}"/uboot-tools-01-drop-configh-from-tools.patch
	epatch "${FILESDIR}"/uboot-tools-02-nostrip.patch
}

src_compile() {
	emake \
		HOSTSTRIP=: \
		HOSTCC="$(tc-getCC)" \
		HOSTCFLAGS="${CFLAGS} ${CPPFLAGS}"' $(HOSTCPPFLAGS)' \
		HOSTLDFLAGS="${LDFLAGS}" \
		CONFIG_ENV_OVERWRITE=y \
		tools-all
		#tools-only
}

src_install() {
	cd tools
	dobin bmp_logo gen_eth_addr img2srec mkenvimage mkimage
	dobin easylogo/easylogo
	dobin env/fw_printenv
	dosym fw_printenv /usr/bin/fw_setenv
	insinto /etc
	doins env/fw_env.config
	doman "${S}"/doc/*.1 "${WORKDIR}"/debian/manpages/*.8
	insinto /etc/fw_env.d
	"${WORKDIR}"/debian/env-configs/*.config
}
